// Code generated by MockGen. DO NOT EDIT.
// Source: backup_plan_grpc.pb.go

// Package mocks is a generated GoMock package.
package mocks

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	v1 "gitlab.com/infranetes/backup/proto/gen/infranetes/user/v1"
	grpc "google.golang.org/grpc"
)

// MockBackupPlanServiceClient is a mock of BackupPlanServiceClient interface.
type MockBackupPlanServiceClient struct {
	ctrl     *gomock.Controller
	recorder *MockBackupPlanServiceClientMockRecorder
}

// MockBackupPlanServiceClientMockRecorder is the mock recorder for MockBackupPlanServiceClient.
type MockBackupPlanServiceClientMockRecorder struct {
	mock *MockBackupPlanServiceClient
}

// NewMockBackupPlanServiceClient creates a new mock instance.
func NewMockBackupPlanServiceClient(ctrl *gomock.Controller) *MockBackupPlanServiceClient {
	mock := &MockBackupPlanServiceClient{ctrl: ctrl}
	mock.recorder = &MockBackupPlanServiceClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBackupPlanServiceClient) EXPECT() *MockBackupPlanServiceClientMockRecorder {
	return m.recorder
}

// CreateBackupPlan mocks base method.
func (m *MockBackupPlanServiceClient) CreateBackupPlan(ctx context.Context, in *v1.CreateBackupPlanRequest, opts ...grpc.CallOption) (*v1.CreateBackupPlanResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "CreateBackupPlan", varargs...)
	ret0, _ := ret[0].(*v1.CreateBackupPlanResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateBackupPlan indicates an expected call of CreateBackupPlan.
func (mr *MockBackupPlanServiceClientMockRecorder) CreateBackupPlan(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateBackupPlan", reflect.TypeOf((*MockBackupPlanServiceClient)(nil).CreateBackupPlan), varargs...)
}

// DeleteBackupPlan mocks base method.
func (m *MockBackupPlanServiceClient) DeleteBackupPlan(ctx context.Context, in *v1.DeleteBackupPlanRequest, opts ...grpc.CallOption) (*v1.DeleteBackupPlanResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "DeleteBackupPlan", varargs...)
	ret0, _ := ret[0].(*v1.DeleteBackupPlanResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// DeleteBackupPlan indicates an expected call of DeleteBackupPlan.
func (mr *MockBackupPlanServiceClientMockRecorder) DeleteBackupPlan(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteBackupPlan", reflect.TypeOf((*MockBackupPlanServiceClient)(nil).DeleteBackupPlan), varargs...)
}

// RunBackupPlan mocks base method.
func (m *MockBackupPlanServiceClient) RunBackupPlan(ctx context.Context, in *v1.RunBackupPlanRequest, opts ...grpc.CallOption) (*v1.RunBackupPlanResponse, error) {
	m.ctrl.T.Helper()
	varargs := []interface{}{ctx, in}
	for _, a := range opts {
		varargs = append(varargs, a)
	}
	ret := m.ctrl.Call(m, "RunBackupPlan", varargs...)
	ret0, _ := ret[0].(*v1.RunBackupPlanResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RunBackupPlan indicates an expected call of RunBackupPlan.
func (mr *MockBackupPlanServiceClientMockRecorder) RunBackupPlan(ctx, in interface{}, opts ...interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	varargs := append([]interface{}{ctx, in}, opts...)
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RunBackupPlan", reflect.TypeOf((*MockBackupPlanServiceClient)(nil).RunBackupPlan), varargs...)
}

// MockBackupPlanServiceServer is a mock of BackupPlanServiceServer interface.
type MockBackupPlanServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockBackupPlanServiceServerMockRecorder
}

// MockBackupPlanServiceServerMockRecorder is the mock recorder for MockBackupPlanServiceServer.
type MockBackupPlanServiceServerMockRecorder struct {
	mock *MockBackupPlanServiceServer
}

// NewMockBackupPlanServiceServer creates a new mock instance.
func NewMockBackupPlanServiceServer(ctrl *gomock.Controller) *MockBackupPlanServiceServer {
	mock := &MockBackupPlanServiceServer{ctrl: ctrl}
	mock.recorder = &MockBackupPlanServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockBackupPlanServiceServer) EXPECT() *MockBackupPlanServiceServerMockRecorder {
	return m.recorder
}

// CreateBackupPlan mocks base method.
func (m *MockBackupPlanServiceServer) CreateBackupPlan(arg0 context.Context, arg1 *v1.CreateBackupPlanRequest) (*v1.CreateBackupPlanResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CreateBackupPlan", arg0, arg1)
	ret0, _ := ret[0].(*v1.CreateBackupPlanResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CreateBackupPlan indicates an expected call of CreateBackupPlan.
func (mr *MockBackupPlanServiceServerMockRecorder) CreateBackupPlan(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CreateBackupPlan", reflect.TypeOf((*MockBackupPlanServiceServer)(nil).CreateBackupPlan), arg0, arg1)
}

// DeleteBackupPlan mocks base method.
func (m *MockBackupPlanServiceServer) DeleteBackupPlan(arg0 context.Context, arg1 *v1.DeleteBackupPlanRequest) (*v1.DeleteBackupPlanResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteBackupPlan", arg0, arg1)
	ret0, _ := ret[0].(*v1.DeleteBackupPlanResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// DeleteBackupPlan indicates an expected call of DeleteBackupPlan.
func (mr *MockBackupPlanServiceServerMockRecorder) DeleteBackupPlan(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteBackupPlan", reflect.TypeOf((*MockBackupPlanServiceServer)(nil).DeleteBackupPlan), arg0, arg1)
}

// RunBackupPlan mocks base method.
func (m *MockBackupPlanServiceServer) RunBackupPlan(arg0 context.Context, arg1 *v1.RunBackupPlanRequest) (*v1.RunBackupPlanResponse, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RunBackupPlan", arg0, arg1)
	ret0, _ := ret[0].(*v1.RunBackupPlanResponse)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// RunBackupPlan indicates an expected call of RunBackupPlan.
func (mr *MockBackupPlanServiceServerMockRecorder) RunBackupPlan(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RunBackupPlan", reflect.TypeOf((*MockBackupPlanServiceServer)(nil).RunBackupPlan), arg0, arg1)
}

// MockUnsafeBackupPlanServiceServer is a mock of UnsafeBackupPlanServiceServer interface.
type MockUnsafeBackupPlanServiceServer struct {
	ctrl     *gomock.Controller
	recorder *MockUnsafeBackupPlanServiceServerMockRecorder
}

// MockUnsafeBackupPlanServiceServerMockRecorder is the mock recorder for MockUnsafeBackupPlanServiceServer.
type MockUnsafeBackupPlanServiceServerMockRecorder struct {
	mock *MockUnsafeBackupPlanServiceServer
}

// NewMockUnsafeBackupPlanServiceServer creates a new mock instance.
func NewMockUnsafeBackupPlanServiceServer(ctrl *gomock.Controller) *MockUnsafeBackupPlanServiceServer {
	mock := &MockUnsafeBackupPlanServiceServer{ctrl: ctrl}
	mock.recorder = &MockUnsafeBackupPlanServiceServerMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockUnsafeBackupPlanServiceServer) EXPECT() *MockUnsafeBackupPlanServiceServerMockRecorder {
	return m.recorder
}

// mustEmbedUnimplementedBackupPlanServiceServer mocks base method.
func (m *MockUnsafeBackupPlanServiceServer) mustEmbedUnimplementedBackupPlanServiceServer() {
	m.ctrl.T.Helper()
	m.ctrl.Call(m, "mustEmbedUnimplementedBackupPlanServiceServer")
}

// mustEmbedUnimplementedBackupPlanServiceServer indicates an expected call of mustEmbedUnimplementedBackupPlanServiceServer.
func (mr *MockUnsafeBackupPlanServiceServerMockRecorder) mustEmbedUnimplementedBackupPlanServiceServer() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "mustEmbedUnimplementedBackupPlanServiceServer", reflect.TypeOf((*MockUnsafeBackupPlanServiceServer)(nil).mustEmbedUnimplementedBackupPlanServiceServer))
}
